首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
工单节点使用指南
• 请用平和的语言准确描述你所遇到的问题
• 厂商的技术支持和你一样也是有喜怒哀乐的普通人类,尊重是相互的
V2EX  ›  全球工单系统

网易云音乐 1.1.0 Linux 版无法直接启动

  •  
  •   Immortal · 305 天前 · 9062 次点击
    这是一个创建于 305 天前的主题,其中的信息可能已经有所发展或是发生改变。

    我的系统是 linux mint(mate)18.2
    之前一直使用的是官方 1.0.0 版本,都没什么问题

    今天看到有更新,重新安装后发现点击图标没法直接运行
    终端显示

    QApplication: invalid style override passed, ignoring it.
    

    然后就没有任何反应了

    使用 sudo 命令运行,可以打开,也能正常使用,终端提示

    QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
    

    因为平时都是用普通账户登录,如果每次执行需要 root 权限很麻烦(要输入 root 密码)
    希望网易的同学看到了尽快修复

    26 回复  |  直到 2018-05-18 10:49:51 +08:00
        1
    mbtfdwlx   305 天前
    是的 我也遇到了这个问题
        2
    pq   305 天前
    这显然是要逼用户使用 root 权限来运行呀,这样 app 才可以肆无忌惮地耍流氓。。。跟 android 上的国产 app 一个德性。。。
        3
    pq   305 天前
    你这试着运行了一次,搞不好已经被装了隐藏得很好的 rootkit 了,赶紧格盘重装吧。。。😄 😅 😆 😇 😉 😊
        4
    am241   305 天前 via Android
    我这昨天能跑,今天就不行了
        6
    kongkongyzt   305 天前
    我也是和你一样, 无法启动. 我当时没想到可能是需要 root 权限, 回去试一下
        7
    rosu   305 天前 via Android
    Ubuntu 17.10 +1
        8
    rainex   305 天前
    qt 写的啊,有没有界面给截屏发来看看
        9
    sublimevsatom   305 天前
    尝试 rm -rf ~/.cache/netease-cloud-music
    清除一下本地缓存,
    再打开看看。
    PS 我不是官方人员。
        10
    Kirikora   305 天前
    Ubuntu17.10 表示一样,清空本地缓存和配置文件也没用。
        11
    we2ex   305 天前
    去这里反馈效果好些,网易云音乐的 Linux 版本是 deepin 开发的
    https://bbs.deepin.org/forum.php?mod=viewthread&tid=148432&extra=
        12
    xjp   305 天前 via iPhone
    ubuntu 16.04 表示只是增加了个包依赖 安装下就可以用了
        14
    x86vk   305 天前 via Android   ♥ 1
    archlinux+cinnamon 全新安装的,不用 sudo 就能跑
        15
    AngelCriss   305 天前 via Android
    openSUSE Tumbleweed KDE 用的 Ubuntu16.04 的包就没问题啊。。
        16
    BXIA   305 天前 via iPhone
    显然是 qt 的锅,目测是链接库问题
        17
    nodekey   305 天前   ♥ 3
    真的是一群大爷
        18
    wengjin456123   305 天前 via Android
    ubuntu 16.04 不行,然后在新装的 ubuntu 17.10 上正常
        19
    hjc4869   305 天前
    sudo chmod u+s netease-cloud-music (逃
        20
    GGGG430   305 天前
    一年半了终于更新, 但看着情况还是继续 1.0.1 吧(ubuntu 16.04)
        21
    Kirikora   305 天前
    @sublimevsatom 没有仔细对比,但用 apt -f install 检查依赖关系都是满足的。而且 sudo 可以打开难道也还会是依赖的锅么。。?
        22
    sublimevsatom   305 天前 via iPhone
    @Kirikora 阁下不是说已经删除配置和缓存那两个主文件夹了么?权限也检查了,那下一步就看看依赖关系和一些依赖版本的要求了
        23
    matsuz   305 天前 via iPhone
    我在 Ubuntu 17.10 上是要加一个— no-sandbox 参数才能启动
        24
    matsuz   305 天前 via iPhone
    @matsuz
    — no-sandbox
    上面多了一个空格
        25
    uxstone   227 天前
    sudo chown root:root netease-cloud-music
        26
    GoPHP   124 天前
    官网最新的版本好像已经可以启动了,重新去官网下载吧
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3572 人在线   最高记录 3762   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.1 · 17ms · UTC 02:27 · PVG 10:27 · LAX 19:27 · JFK 22:27
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1